package com.company.datefield.web.toolkit.ui.client.webcomponents;

import com.haulmont.cuba.web.widgets.client.datefield.CubaDateFieldWidget;

public class ExtDateFieldWidget extends CubaDateFieldWidget {

    @Override
    public void buildDate() {
        // Save previous value
        String previousValue = getText();
        super.buildDate();

        // Restore previous value if the input could not be parsed
        if (!parsable) {
            setText(previousValue);
        }
        updateTextFieldEnabled();
        bufferedDateString = text.getText();
        updateBufferedResolutions();
        // send the Time changes.
        sendBufferedValues();

        updateTextState();
    }
}
